import react, {  } from 'react';

interface SlippyBoardProperties {
  boardSize: number;
  shift: { x: number; y: number };
  zoom: number;
  children: any;
}

const SlippyBoard: react.FC<SlippyBoardProperties> = (
  props: SlippyBoardProperties
) => {
  return (
    <svg height={props.boardSize} width={props.boardSize}>
      <g
        transform={`translate(${props.shift.x}, ${props.shift.y}) scale(${props.zoom})`}
      >
        {props.children}
      </g>
    </svg>
  );
};

export default SlippyBoard;
